html,
body {
  margin: 0;
  padding: 5;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center; /* Center horizontally */
  align-items: center; /* Center vertically */
}

#map {
  width: 100%; /* Adjust width to your desired size */
  height: 100%; /* Adjust height to your desired size */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Optional: subtle shadow for effect */
  border-radius: 8px; /* Optional: rounded corners */
}

#map svg {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

#map svg circle {
  fill: steelblue;
  fill-opacity: 0.6;
  stroke: white;
  stroke-width: 1;
  pointer-events: auto;
  --color-departures: steelblue;
  --color-arrivals: darkorange;
  --color: color-mix(
    in oklch,
    var(--color-departures) calc(100% * var(--departure-ratio)),
    var(--color-arrivals)
  );
  fill: var(--color);
}